### Property

# Gtk Application:screensaver-active

since: 4.0

#### Declaration

    property screensaver-active: gboolean [ read ]

#### Description [src]

This property is `TRUE` if GTK believes that the screensaver is currently active.

GTK only tracks session state (including this) when `GtkApplication:register-session` is set to `TRUE`.

Tracking the screensaver state is currently only supported on Linux.

Type: | `gboolean`
Available since: | 4.0

Default value | FALSE

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no